> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Group Blocks

> Lists all entities blocked from joining a group



## OpenAPI

````yaml /services/playfab/api-references/rest/groups/groups.openapi.json post /Group/ListGroupBlocks
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Groups API
  description: >-
    The Groups API is designed for any permanent or semi-permanent collections
    of Entities (players, or non-players). If you want to make
    Guilds/Clans/Corporations/etc., then you should use groups. Groups can also
    be used to make chatrooms, parties, or any other persistent collection of
    entities.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Groups
    description: Groups Management APIs
paths:
  /Group/ListGroupBlocks:
    post:
      tags:
        - Groups
      summary: List Group Blocks
      description: Lists all entities blocked from joining a group
      operationId: ListGroupBlocks
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListGroupBlocksRequest'
        description: >-
          Lists all entities blocked from joining a group. A list of blocked
          entities is returned
      responses:
        '200':
          $ref: '#/components/responses/ListGroupBlocksResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    ListGroupBlocksRequest:
      description: >-
        Lists all entities blocked from joining a group. A list of blocked
        entities is returned
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Group:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The identifier of the group
      required:
        - Group
      example:
        Group:
          Id: ABC1234ABC
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    ListGroupBlocksResponse:
      type: object
      properties:
        BlockedEntities:
          description: The requested list blocked entities.
          type: array
          items:
            $ref: '#/components/schemas/GroupBlock'
          x-isclass: true
      example:
        BlockedEntities:
          - Entity:
              Key:
                Id: '90901000'
                Type: title_player_account
                TypeString: title_player_account
              Lineage:
                master_player_account:
                  Id: 800DED92
                  Type: master_player_account
                  TypeString: master_player_account
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    GroupBlock:
      description: Describes an entity that is blocked from joining a group.
      type: object
      properties:
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityWithLineage'
          description: The entity that is blocked
        Group:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: ID of the group that the entity is blocked from
      required:
        - Group
      example:
        Entity:
          Key:
            Id: '90901000'
            Type: title_player_account
            TypeString: title_player_account
          Lineage:
            master_player_account:
              Id: 800DED92
              Type: master_player_account
              TypeString: master_player_account
        Group:
          Id: ABC1234ABC
    EntityWithLineage:
      description: >-
        Entity wrapper class that contains the entity key and the entities that
        make up the lineage of the entity.
      type: object
      properties:
        Key:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The entity key for the specified entity
        Lineage:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: >-
            Dictionary of entity keys for related entities. Dictionary key is
            entity type.
  responses:
    ListGroupBlocksResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListGroupBlocksResponse'
            example:
              code: 200
              status: OK
              data:
                BlockedEntities:
                  - Entity:
                      Key:
                        Id: '90901000'
                        Type: title_player_account
                        TypeString: title_player_account
                      Lineage:
                        master_player_account:
                          Id: 800DED92
                          Type: master_player_account
                          TypeString: master_player_account
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [List Group Blocks](/services/playfab/api-references/rest/groups/groups/list-group-blocks.md)
- [PFGroupsListGroupBlocksRequest](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupslistgroupblocksrequest.md)
- [PFGroupsListGroupBlocksAsync](/services/playfab/api-references/c/pfgroups/functions/pfgroupslistgroupblocksasync.md)
- [PFGroupsListGroupBlocksResponse](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupslistgroupblocksresponse.md)
- [PFGroupsListGroupBlocksGetResult](/services/playfab/api-references/c/pfgroups/functions/pfgroupslistgroupblocksgetresult.md)
